cmake_minimum_required(VERSION 3.9)
project(animia)
set(SRC_FILES
	# any non-platform-specific files go here
	src/animia.cc
	src/player.cc
	src/util.cc
	src/strategist.cc
)

if(LINUX)
	list(APPEND SRC_FILES
		# linux
		src/fd/linux.cc
	)
elseif(UNIX) # this won't run on Linux
	list(APPEND SRC_FILES
		# bsd
		src/fd/bsd.cc
	)
elseif(WIN32)
	list(APPEND SRC_FILES
		# win32
		src/fd/win32.cc
	)
endif()

add_library(animia SHARED ${SRC_FILES})
set_target_properties(animia PROPERTIES
	PUBLIC_HEADER include/animia.h
	CXX_STANDARD 17
)

if(WIN32)
	target_compile_definitions(animia PUBLIC WIN32)
elseif(LINUX)
	target_compile_definitions(animia PUBLIC LINUX)
elseif(UNIX)
	target_compile_definitions(animia PUBLIC UNIX)
endif()

target_include_directories(animia PRIVATE include)
